<?php
class Mgeneral extends CI_Model{
	function ultimo_id(){
		$this->db->select("
			last_insert_id() as id
		",false);
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function update($tabla,$where,$data){
		$this->db->where($where);
		$res=$this->db->update($tabla,$data);
		if($res==true){
			echo "Actualizado correctamente ...";
		}
		else{
			echo "Ocurrio un error al actualizar ...";
		}
	}
	function insertar($tabla,$data){
		$res=$this->db->insert($tabla,$data);
		if($res==true){
			echo "Guardado correctamente ...";
		}
		else{
			echo "Ocurrio un error al guardar ...";
		}
	}
	function eliminar($tabla,$where){
		$res=$this->db->delete($tabla,$where);
		if($res==true){
			echo "Eliminado correctamente ...";
		}
		else{
			echo "Ocurrio un error al eliminar ...";
		}
	}
	function login($where){
		$this->db->select("u.usua_id,u.usua_datos,u.usua_tipo,e.even_nombre,e.even_id");
		$this->db->from("usuarios u,eventos e");
		$this->db->where($where);
		$this->db->where("u.usua_even_id = e.even_id");
		$query=$this->db->get();
		if($query->num_rows()==1){
			return $query->result();
		}
		return false;
	}
	function insert($tabla,$data){
		$res=$this->db->insert($tabla,$data);
		if($res){
			$result=$this->ultimo_id();
			echo $result[0]->id; 
			return true;
		}
		echo "Ocurrio un error al registrar";
		return false;
	}
	function getpart($data){
		$this->db->select("*");
		$this->db->from("inscritos".$this->session->userdata("even_id"));
		$this->db->where($data);
		$query=$this->db->get();
		if($query->num_rows()==1){
			return $query->result();
		}
		return false;
	}
	function updatepart($tabla,$where,$data){
		$this->db->where($where);
		$res=$this->db->update($tabla,$data);
		if($res==true){
			echo "Actualizado correctamente ...";
		}
		else{
			echo "Ocurrio un error al actualizar ...";
		}
	}
	function getproc($where){
		$this->db->select("*");
		$this->db->from("procedencias");
		$this->db->where($where);
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function getuser($where){
		$this->db->select("*");
		$this->db->from("usuarios");
		$this->db->where($where);
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function getcond($where){
		$this->db->select("*");
		$this->db->from("condiciones");
		$this->db->where($where);
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function gettipo($where){
		$this->db->select("*");
		$this->db->from("tipos");
		$this->db->where($where);
		$this->db->where("tipos.tipo_del <= now()");
		$this->db->where("tipos.tipo_al >= now()");
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function gettipo2($where){
		$this->db->select("*");
		$this->db->from("tipos");
		$this->db->where($where);
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function getcountproc(){
		$inscritos="inscritos".$this->session->userdata("even_id");
		$this->db->select("
			i.insc_proc_id,
			p.proc_nombre,
			count(i.insc_id) as cont
		",false);
		$this->db->from("
			$inscritos i,
			procedencias p
		");
		$this->db->where("i.insc_proc_id = p.proc_id");
		$this->db->where("i.insc_usua_id",$this->session->userdata("usua_id"));
		$this->db->group_by("i.insc_proc_id");
		$this->db->order_by("cont desc");
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function get_data($tabla,$where=false,$like=false,$order=false){
		$this->db->select("*");
		$this->db->from($tabla);
		if($where!=false)
			$this->db->where($where);
		if($like!=false)
			$this->db->like($like);
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function get_inscritos_certis($where){
		$tabla="inscritos".$this->session->userdata("even_id");
		$this->db->select("
			i.insc_nombres,
			i.insc_apellidos,
			c.cond_nombre,
			p.proc_nombre
		",false
		);
		$this->db->from("$tabla i,condiciones c,procedencias p");
		$this->db->where($where);
		$this->db->where("i.insc_cond_id = c.cond_id");
		$this->db->where("i.insc_proc_id = p.proc_id");
		$this->db->order_by("i.insc_apellidos,i.insc_nombres");
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function get_inscritos($user,$proc,$cond,$tipo,$del,$al,$deud){
		$tabla="inscritos".$this->session->userdata("even_id");
		$this->db->select("
			i.*,
			p.proc_nombre,
			c.cond_nombre,
			t.tipo_nombre,
			t.tipo_monto,
			u.*
		",false
		);
		$this->db->from("
			$tabla i,
			usuarios u,
			procedencias p,
			condiciones c,
			tipos t
		"
		);
		if($user>0)	$this->db->where("i.insc_usua_id",$user);
		if($proc>0)	$this->db->where("i.insc_proc_id",$proc);
		if($cond>0)	$this->db->where("i.insc_cond_id",$cond);
		if($tipo>0)	$this->db->where("i.insc_tipo_id",$tipo);

		if($deud=="sin")	$this->db->where("t.tipo_monto = i.insc_acuenta");
		if($deud=="con")	$this->db->where("t.tipo_monto > i.insc_acuenta");

		$this->db->where("i.insc_usua_id = u.usua_id");
		$this->db->where("i.insc_proc_id = p.proc_id");
		$this->db->where("i.insc_cond_id = c.cond_id");
		$this->db->where("i.insc_tipo_id = t.tipo_id");
		$this->db->where("i.insc_fecha_reg >= '$del 00:00:0'");
		$this->db->where("i.insc_fecha_reg <= '$al 23:59:59'");
		$this->db->order_by("u.usua_id,i.insc_apellidos,i.insc_nombres,p.proc_id,c.cond_id,t.tipo_id");
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;
	}
	function gethoy(){
		$tabla="inscritos".$this->session->userdata("even_id");
		$this->db->select("now() as hoy");
		$query=$this->db->get();
		if($query->num_rows()>0){
			return $query->result();
		}
		return false;	
	}
}
?>