<?php
class Admin extends CI_Controller
{
	public function Admin()
	{
		parent::__construct();
		if ($this->session->userdata("mylogin") != "10g!n0k-admin") {
			$this->session->sess_destroy();
			redirect(site_url(""));
		}
	}
	public function index()
	{
		$data = array("i" => -1, "j" => -1);
		$this->vista("vinicio", $data);
	}
	public function vista($vista, $data, $data2 = array())
	{
		$this->load->model("mgeneral");
		$data3 = array(
			"pi" => $data["i"],
			"pj" => $data["j"],
			"proc" => $this->mgeneral->getcountproc()
		);
		$this->load->view("Admin/vheader", $data3);
		$this->load->view("Admin/vmenu");
		$this->load->view("Admin/" . $vista, $data2);
		$this->load->view("Admin/vfooter");
	}
	public function destroy()
	{
		$this->session->sess_destroy();
		redirect(site_url(""));
	}
	public function newpart()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 0, "j" => 0);
		$data2 = array(
			"proc" => $this->mgeneral->getproc(array("proc_even_id" => $this->session->userdata("even_id"))),
			"cond" => $this->mgeneral->getcond(array("cond_even_id" => $this->session->userdata("even_id"))),
			"tipo" => $this->mgeneral->gettipo(array("tipo_even_id" => $this->session->userdata("even_id"))),
		);
		$this->vista("vnewpart", $data, $data2);
	}
	public function save_part()
	{
		$_POST["insc_even_id"] = $this->session->userdata("even_id");
		$_POST["insc_usua_id"] = $this->session->userdata("usua_id");
		$_POST["insc_pers_id"] = 1;
		$_POST["insc_entregado"] = "NO";
		$this->load->model("mgeneral");
		$result = $this->mgeneral->insert("inscritos" . $this->session->userdata("even_id"), $_POST);
	}
	public function update()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 1, "j" => 0);
		$data2 = array(
			"proc" => $this->mgeneral->getproc(array("proc_even_id" => $this->session->userdata("even_id"))),
			"cond" => $this->mgeneral->getcond(array("cond_even_id" => $this->session->userdata("even_id"))),
			"tipo" => $this->mgeneral->gettipo2(array("tipo_even_id" => $this->session->userdata("even_id"))),
		);
		$this->vista("vupdate", $data, $data2);
	}
	public function getpart()
	{
		$this->load->model("mgeneral");
		$result = $this->mgeneral->getpart($_POST);
		echo json_encode($result);
	}
	public function updatepart($insc_id)
	{
		$where = array(
			"insc_id" => $insc_id
		);
		$this->load->model("mgeneral");
		$result = $this->mgeneral->updatepart("inscritos" . $this->session->userdata("even_id"), $where, $_POST);
	}
	/********************************************************************************************************/
	public function inscrip()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 0, "j" => 1);
		$data2 = array();
		$this->vista("vusers", $data, $data2);
	}
	public function getinscrip()
	{
		$this->load->model("mgeneral");
		$part = $this->mgeneral->get_data("usuarios", array("usua_even_id" => $this->session->userdata("even_id"), "usua_tipo" => "INSCRIPTOR"));
		if ($part != false) {
			$cont = 1;
			foreach ($part as $row) {
				echo "
					<tr>
						<td id='id_$cont'>$cont</td>
						<td id='user_$cont'>$row->usua_user</td>
						<td id='pass_$cont'>$row->usua_pass</td>
						<td id='datos_$cont'>$row->usua_datos</td>
						<td>
							<button class='btn btn-primary btn-xs' onclick='editar($cont,$row->usua_id)'>Editar</button>
							<button class='btn btn-danger btn-xs' onclick='eliminar($row->usua_id)'>Eliminar</button>
						</td>
					</tr>
				";
				$cont++;
			}
		}
	}
	public function actualizarinscrip()
	{
		$this->load->model("mgeneral");
		$where = array(
			"usua_even_id" => $this->session->userdata("even_id"),
			"usua_id" => $_POST["usua_id"],
			"usua_user" => $_POST["usua_user"],
		);
		$this->mgeneral->update("usuarios", $where, $_POST);
	}
	public function guardarinscrip()
	{
		$this->load->model("mgeneral");
		$_POST["usua_even_id"] = $this->session->userdata("even_id");
		$_POST["usua_estado"] = "ACTIVO";
		$_POST["usua_tipo"] = "INSCRIPTOR";
		$this->mgeneral->insertar("usuarios", $_POST);
	}
	public function validar_user()
	{
		$this->load->model("mgeneral");
		$result = $this->mgeneral->get_data("usuarios", array("usua_user" => $_POST["usua_user"]));
		if ($result == false) {
			echo "ok";
		} else {
			echo "error";
		}
	}
	public function delinscip()
	{
		$this->load->model("mgeneral");
		$_POST["usua_even_id"] = $this->session->userdata("even_id");
		$result = $this->mgeneral->eliminar("usuarios", $_POST);
	}
	/********************************************************************************************************/
	public function tipopart()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 0, "j" => 2);
		$data2 = array();
		$this->vista("vtipos", $data, $data2);
	}
	public function gettipos()
	{
		$this->load->model("mgeneral");
		$result = $this->mgeneral->get_data("tipos", array("tipo_even_id" => $this->session->userdata("even_id")));
		if ($result != false) {
			$cont = 1;
			foreach ($result as $row) {
				echo "
					<tr>
						<td id='id_$cont'>$cont</td>
						<td id='nombre_$cont'>$row->tipo_nombre</td>
						<td id='monto_$cont'>$row->tipo_monto</td>
						<td id='del_$cont'>$row->tipo_del</td>
						<td id='al_$cont'>$row->tipo_al</td>
						<td>
							<button class='btn btn-primary btn-xs' onclick='editar($cont,$row->tipo_id)'>Editar</button>
							<button class='btn btn-danger btn-xs' onclick='eliminar($row->tipo_id)'>Eliminar</button>
						</td>
					</tr>
				";
				$cont++;
			}
		}
	}
	public function actualizartipos()
	{
		$this->load->model("mgeneral");
		$where = array(
			"tipo_even_id" => $this->session->userdata("even_id"),
			"tipo_id" => $_POST["tipo_id"]
		);
		$this->mgeneral->update("tipos", $where, $_POST);
	}
	public function guardartipos()
	{
		$this->load->model("mgeneral");
		$_POST["tipo_even_id"] = $this->session->userdata("even_id");
		$this->mgeneral->insertar("tipos", $_POST);
	}
	public function deltipos()
	{
		$this->load->model("mgeneral");
		$_POST["tipo_even_id"] = $this->session->userdata("even_id");
		$result = $this->mgeneral->eliminar("tipos", $_POST);
	}
	/********************************************************************************************************/
	public function proce()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 0, "j" => 3);
		$data2 = array();
		$this->vista("vproc", $data, $data2);
	}
	public function getproc()
	{
		$this->load->model("mgeneral");
		$result = $this->mgeneral->get_data("procedencias", array("proc_even_id" => $this->session->userdata("even_id")));
		if ($result != false) {
			$cont = 1;
			foreach ($result as $row) {
				echo "
					<tr>
						<td id='id_$cont'>$cont</td>
						<td id='nombre_$cont'>$row->proc_nombre</td>
						<td>
							<button class='btn btn-primary btn-xs' onclick='editar($cont,$row->proc_id)'>Editar</button>
							<button class='btn btn-danger btn-xs' onclick='eliminar($row->proc_id)'>Eliminar</button>
						</td>
					</tr>
				";
				$cont++;
			}
		}
	}
	public function actualizarproc()
	{
		$this->load->model("mgeneral");
		$where = array(
			"proc_even_id" => $this->session->userdata("even_id"),
			"proc_id" => $_POST["proc_id"]
		);
		$this->mgeneral->update("procedencias", $where, $_POST);
	}
	public function guardarproc()
	{
		$this->load->model("mgeneral");
		$_POST["proc_even_id"] = $this->session->userdata("even_id");
		$this->mgeneral->insertar("procedencias", $_POST);
	}
	public function delproc()
	{
		$this->load->model("mgeneral");
		$_POST["proc_even_id"] = $this->session->userdata("even_id");
		$result = $this->mgeneral->eliminar("procedencias", $_POST);
	}
	/********************************************************************************************************/
	public function condi()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 0, "j" => 4);
		$data2 = array();
		$this->vista("vcond", $data, $data2);
	}
	public function getcond()
	{
		$this->load->model("mgeneral");
		$result = $this->mgeneral->get_data("condiciones", array("cond_even_id" => $this->session->userdata("even_id")));
		if ($result != false) {
			$cont = 1;
			foreach ($result as $row) {
				echo "
					<tr>
						<td id='id_$cont'>$cont</td>
						<td id='nombre_$cont'>$row->cond_nombre</td>
						<td>
							<button class='btn btn-primary btn-xs' onclick='editar($cont,$row->cond_id)'>Editar</button>
							<button class='btn btn-danger btn-xs' onclick='eliminar($row->cond_id)'>Eliminar</button>
						</td>
					</tr>
				";
				$cont++;
			}
		}
	}
	public function actualizarcond()
	{
		$this->load->model("mgeneral");
		$where = array(
			"cond_even_id" => $this->session->userdata("even_id"),
			"cond_id" => $_POST["cond_id"]
		);
		$this->mgeneral->update("condiciones", $where, $_POST);
	}
	public function guardarcond()
	{
		$this->load->model("mgeneral");
		$_POST["cond_even_id"] = $this->session->userdata("even_id");
		$this->mgeneral->insertar("condiciones", $_POST);
	}
	public function delcond()
	{
		$this->load->model("mgeneral");
		$_POST["cond_even_id"] = $this->session->userdata("even_id");
		$result = $this->mgeneral->eliminar("condiciones", $_POST);
	}
	/********************************************************************************************************/
	public function print_certis()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 1, "j" => 1);
		$data2 = array(
			"proc" => $this->mgeneral->getproc(array("proc_even_id" => $this->session->userdata("even_id"))),
		);
		$this->vista("vprint_certis", $data, $data2);
	}
	public function print_certis_proce($proce)
	{
		$this->load->model("mgeneral");
		$part = $this->mgeneral->get_inscritos_certis(array("i.insc_proc_id" => $proce));
		$borde = 0;
		$this->load->library('Pdf');
		$pdf = new pdf('L', 'mm', 'A4', true, 'UTF-8', false);
		$pdf->setFooterData($tc = array(0, 0, 0), $lc = array(0, 0, 0));
		$pdf->setHeaderFont(array('', '', 10));
		$pdf->setFooterFont(array('', '', 10));
		$pdf->SetMargins(20, 5, 1, 1);
		$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
		$pdf->SetFooterMargin(14);
		$pdf->SetAutoPageBreak(TRUE, 14);
		$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
		$pdf->setFontSubsetting(true);
		$pdf->setPrintHeader(false);
		$pdf->setPrintFooter(false);

		$font_type = "Times";
		$font_size = "16";

		$nombrex = 80;
		$nombrey = 50;
		$nombrew = 100;
		$nombreh = 8;

		$comox = 80;
		$comoy = 60;
		$comow = 50;
		$comoh = 8;

		if ($part != false) {
			$proc1 = $part[0]->proc_nombre;
			foreach ($part as $row) {
				$pdf->AddPage('L');
				$pdf->SetFillColor(255, 255, 255);
				$pdf->SetFont($font_type, '', $font_size, '', true);
				$datos = strtoupper($row->insc_apellidos) . ", " . ucwords(strtolower($row->insc_nombres));
				$como = strtoupper($row->cond_nombre);
				$pdf->MultiCell($nombrew, $nombreh, $datos, $border = 0, "L", false, 0, $nombrex, $nombrey);
				$pdf->MultiCell($comow, $comoh, $como, $border = 0, "C", false, 0, $comox, $comoy);
			}
		}

		$nombre_archivo = utf8_decode("CERTIFICADOS_" . $proc1 . ".pdf");
		$pdf->Output($nombre_archivo, 'I');
	}
	/********************************************************************************************************/
	function inscr()
	{
		$this->load->model("mgeneral");
		$data = array("i" => 1, "j" => 2);
		$data2 = array(
			"user" => $this->mgeneral->getuser(array("usua_even_id" => $this->session->userdata("even_id"))),
			"proc" => $this->mgeneral->getproc(array("proc_even_id" => $this->session->userdata("even_id"))),
			"cond" => $this->mgeneral->getcond(array("cond_even_id" => $this->session->userdata("even_id"))),
			"tipo" => $this->mgeneral->gettipo2(array("tipo_even_id" => $this->session->userdata("even_id"))),
			"hoy" => $this->mgeneral->gethoy(),
		);
		$this->vista("vinscri", $data, $data2);
	}
	public function pdf_inscritos($user, $proc, $cond, $tipo, $del, $al, $deud)
	{
		$this->load->model("mgeneral");
		$result = $this->mgeneral->get_inscritos($user, $proc, $cond, $tipo, $del, $al, $deud);

		$borde = 1;
		$this->load->library('Pdf');
		$pdf = new pdf('L', 'mm', 'A4', true, 'UTF-8', false);
		$pdf->setFooterData($tc = array(0, 0, 0), $lc = array(0, 0, 0));
		$pdf->setHeaderFont(array('', '', 10));
		$pdf->setFooterFont(array('', '', 10));
		$pdf->SetMargins(10, 20, 20, 10);
		$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
		$pdf->SetFooterMargin(14);
		$pdf->SetAutoPageBreak(TRUE, 14);
		$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);
		$pdf->setFontSubsetting(true);
		$pdf->setPrintHeader(false);
		$pdf->setPrintFooter(false);

		$font_type = "Times";
		$font_size = "10";
		$pdf->SetFont($font_type, '', $font_size, '', true);
		$alto = 10;

		if ($result != false) {
			$pdf->AddPage('L');
			$pdf->SetFillColor(200, 200, 200);
			$pdf->MultiCell(10, $alto, "Nro.", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(40, $alto, "Usuario", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(30, $alto, "Procedencia", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(30, $alto, "Condicion", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(30, $alto, "Tipo", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(45, $alto, "Apellidos", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(30, $alto, "Nombres", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(15, $alto, "Monto a Pagar", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(15, $alto, "A cuenta", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(15, $alto, "Saldo", $borde, "C", true, $ln = 0);
			$pdf->MultiCell(20, $alto, "Fecha de registro", $borde, "C", true, $ln = 1);

			$pdf->SetFillColor(255, 255, 255);
			$cont = 1;
			$sumacuenta = 0;
			$sumasaldo = 0;
			foreach ($result as $row) {
				$Nro = $cont++;
				$Usuario = $row->usua_datos;
				$Procedencia = $row->proc_nombre;
				$Condicion = $row->cond_nombre;
				$Tipo = $row->tipo_nombre;
				$Apellidos = strtoupper($row->insc_apellidos);
				$Nombres = ucwords(strtolower($row->insc_nombres));
				$Monto = $row->tipo_monto;
				$Acuenta = $row->insc_acuenta;
				$Saldo = $Monto - $Acuenta;
				$Fecha = explode(" ", $row->insc_fecha_reg);
				$Fecha = $Fecha[0];

				/*if($Saldo==0) 
					$Saldo="";*/
				$sumacuenta = $sumacuenta + $Acuenta;
				$sumasaldo = $sumasaldo + $Saldo;

				$pdf->Cell(10, $alto, $Nro, $borde, $ln = 0, "C", true);
				$pdf->Cell(40, $alto, $Usuario, $borde, $ln = 0, "L", true);
				$pdf->Cell(30, $alto, $Procedencia, $borde, $ln = 0, "L", true);
				$pdf->Cell(30, $alto, $Condicion, $borde, $ln = 0, "L", true);
				$pdf->Cell(30, $alto, $Tipo, $borde, $ln = 0, "L", true);
				$pdf->Cell(45, $alto, $Apellidos, $borde, $ln = 0, "L", true);
				$pdf->Cell(30, $alto, $Nombres, $borde, $ln = 0, "L", true);
				$pdf->Cell(15, $alto, $Monto, $borde, $ln = 0, "R", true);
				$pdf->Cell(15, $alto, $Acuenta, $borde, $ln = 0, "R", true);
				$pdf->Cell(15, $alto, $Saldo, $borde, $ln = 0, "R", true);
				$pdf->Cell(20, $alto, $Fecha, $borde, $ln = 1, "L", true);
			}
			$font_type = "Times";
			$font_size = "15";
			$pdf->SetFont($font_type, '', $font_size, '', true);
			$pdf->Cell(30, $alto, "", "T", $ln = 1, "R", true);
			$pdf->SetFillColor(200, 200, 200);
			$pdf->Cell(30, $alto, "A cuenta:", $borde = 1, $ln = 0, "R", true);
			$pdf->SetFillColor(255, 255, 255);
			$pdf->Cell(30, $alto, $sumacuenta, $borde, $ln = 1, "R", true);
			$pdf->SetFillColor(200, 200, 200);
			$pdf->Cell(30, $alto, "Saldo:", $borde, $ln = 0, "R", true);
			$pdf->SetFillColor(255, 255, 255);
			$pdf->Cell(30, $alto, $sumasaldo, $borde, $ln = 1, "R", true);
			$pdf->SetFillColor(200, 200, 200);
			$pdf->Cell(30, $alto, "Total:", $borde, $ln = 0, "R", true);
			$pdf->SetFillColor(255, 255, 255);
			$pdf->Cell(30, $alto, $sumasaldo + $sumacuenta, $borde, $ln = 1, "R", true);
		}

		$nombre_archivo = utf8_decode("REPORTE.pdf");
		$pdf->Output($nombre_archivo, 'I');
	}
	/********************************************************************************************************/
	/********************************************************************************************************/
	/********************************************************************************************************/
}
