-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 14-04-2016 a las 15:59:35
-- Versión del servidor: 5.5.24-log
-- Versión de PHP: 5.4.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `inscripciones`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `condiciones`
--

CREATE TABLE IF NOT EXISTS `condiciones` (
  `cond_id` int(11) NOT NULL AUTO_INCREMENT,
  `cond_even_id` int(11) NOT NULL,
  `cond_nombre` varchar(100) NOT NULL,
  PRIMARY KEY (`cond_id`),
  KEY `fk_condicion_evento1_idx` (`cond_even_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=6 ;

--
-- Volcado de datos para la tabla `condiciones`
--

INSERT INTO `condiciones` (`cond_id`, `cond_even_id`, `cond_nombre`) VALUES
(1, 1, 'ASISTENTE'),
(2, 1, 'EXPOSITOR'),
(3, 1, 'ORGANIZADOR'),
(4, 2, 'ASISTENTE'),
(5, 2, 'PONENTE');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `eventos`
--

CREATE TABLE IF NOT EXISTS `eventos` (
  `even_id` int(11) NOT NULL AUTO_INCREMENT,
  `even_nombre` varchar(255) NOT NULL,
  PRIMARY KEY (`even_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

--
-- Volcado de datos para la tabla `eventos`
--

INSERT INTO `eventos` (`even_id`, `even_nombre`) VALUES
(1, 'CONTABILIDAD MINERA'),
(2, 'COLEGIO DE CONTADORES PUNO'),
(3, 'OTRO EVENTO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `inscritos1`
--

CREATE TABLE IF NOT EXISTS `inscritos1` (
  `insc_id` int(11) NOT NULL AUTO_INCREMENT,
  `insc_even_id` int(11) NOT NULL,
  `insc_proc_id` int(11) NOT NULL,
  `insc_usua_id` int(11) NOT NULL,
  `insc_pers_id` int(11) NOT NULL,
  `insc_nombres` varchar(50) NOT NULL,
  `insc_apellidos` varchar(50) NOT NULL,
  `insc_cond_id` int(11) NOT NULL,
  `insc_tipo_id` int(11) NOT NULL,
  `insc_acuenta` double NOT NULL,
  `insc_entregado` enum('SI','NO') NOT NULL,
  `insc_fecha_reg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`insc_id`),
  KEY `fk_inscritos1_personas_idx` (`insc_pers_id`),
  KEY `fk_inscritos1_evento1_idx` (`insc_even_id`),
  KEY `fk_inscritos1_condicion1_idx` (`insc_cond_id`),
  KEY `fk_inscritos1_tipo1_idx` (`insc_tipo_id`),
  KEY `fk_inscritos1_usuario1` (`insc_usua_id`),
  KEY `fk_inscritos1_procedencia` (`insc_proc_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=18 ;

--
-- Volcado de datos para la tabla `inscritos1`
--

INSERT INTO `inscritos1` (`insc_id`, `insc_even_id`, `insc_proc_id`, `insc_usua_id`, `insc_pers_id`, `insc_nombres`, `insc_apellidos`, `insc_cond_id`, `insc_tipo_id`, `insc_acuenta`, `insc_entregado`, `insc_fecha_reg`) VALUES
(1, 1, 2, 1, 1, 'LUIS ALBERTO', 'SANCHEZ APAZA', 1, 1, 12, 'NO', '2014-10-21 12:00:08'),
(2, 1, 1, 1, 1, 'victor juan', 'apaza mercado', 2, 2, 23, 'NO', '2014-10-21 12:01:39'),
(3, 1, 1, 1, 1, 'luisa sofia', 'barrantes melgarejo', 3, 2, 25, 'NO', '2014-10-21 12:02:50'),
(4, 1, 1, 1, 1, 'cesar ', 'apaza copa', 2, 2, 20, 'NO', '2014-10-21 12:03:53'),
(5, 1, 1, 1, 1, 'LIDIA MARIVEL', 'HUARAYA COLQUE', 3, 2, 30, 'NO', '2014-10-22 10:44:46'),
(6, 1, 2, 1, 1, 'juan albertp', 'apaza azañero', 1, 1, 10, 'NO', '2014-10-22 11:57:29'),
(7, 1, 2, 1, 1, 'cesar', 'sanga', 1, 1, 10, 'NO', '2014-10-22 11:57:48'),
(8, 1, 3, 1, 1, 'FELIPE ', 'MAMANI APAZA', 1, 1, 15, 'NO', '2014-10-22 11:58:18'),
(9, 1, 4, 2, 1, 'MARIA', 'AZAÑERO LINARES', 1, 1, 12, 'NO', '2014-10-22 11:58:45'),
(10, 1, 4, 1, 1, 'MARIA', 'SALGADO GUTIERREZ', 1, 2, 30, 'NO', '2014-10-22 12:08:02'),
(11, 1, 1, 2, 1, 'victor', 'bejar', 1, 2, 30, 'NO', '2015-06-17 10:35:51'),
(12, 1, 2, 2, 1, 'dsa', 'klñkñl', 1, 2, 30, 'NO', '2015-06-17 10:36:38'),
(13, 1, 4, 1, 1, 'juana', 'apaza', 1, 2, 30, 'NO', '2015-06-17 10:42:00'),
(14, 1, 2, 1, 1, 'VICTOR', 'MEMBRILLO NINA', 2, 2, 30, 'NO', '2015-06-17 10:47:48'),
(15, 1, 1, 1, 1, 'ASDAS', 'DSADAS', 2, 1, 10, 'NO', '2015-06-17 23:29:22'),
(16, 1, 1, 1, 1, 'KÑLK', 'KÑLKÑL', 1, 1, 12, 'NO', '2015-06-17 23:30:56'),
(17, 1, 1, 1, 1, 'aaaaaaaaaaaaaa', 'bbbbbbbbbbbbbb', 1, 1, 15, 'NO', '2015-06-17 23:52:11');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `inscritos2`
--

CREATE TABLE IF NOT EXISTS `inscritos2` (
  `insc_id` int(11) NOT NULL AUTO_INCREMENT,
  `insc_even_id` int(11) NOT NULL,
  `insc_proc_id` int(11) NOT NULL,
  `insc_usua_id` int(11) NOT NULL,
  `insc_pers_id` int(11) NOT NULL,
  `insc_nombres` varchar(50) NOT NULL,
  `insc_apellidos` varchar(50) NOT NULL,
  `insc_cond_id` int(11) NOT NULL,
  `insc_tipo_id` int(11) NOT NULL,
  `insc_acuenta` double NOT NULL,
  `insc_entregado` enum('SI','NO') NOT NULL,
  `insc_fecha_reg` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`insc_id`),
  KEY `fk_inscritos2_personas_idx` (`insc_pers_id`),
  KEY `fk_inscritos2_evento1_idx` (`insc_even_id`),
  KEY `fk_inscritos2_condicion1_idx` (`insc_cond_id`),
  KEY `fk_inscritos2_tipo1_idx` (`insc_tipo_id`),
  KEY `fk_inscritos2_usuario1` (`insc_usua_id`),
  KEY `fk_inscritos2_procedencia` (`insc_proc_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Volcado de datos para la tabla `inscritos2`
--

INSERT INTO `inscritos2` (`insc_id`, `insc_even_id`, `insc_proc_id`, `insc_usua_id`, `insc_pers_id`, `insc_nombres`, `insc_apellidos`, `insc_cond_id`, `insc_tipo_id`, `insc_acuenta`, `insc_entregado`, `insc_fecha_reg`) VALUES
(1, 2, 5, 19, 1, 'LUIS', 'ORTEGA AQUISE', 4, 8, 90, 'NO', '2015-06-17 17:50:32'),
(2, 2, 6, 19, 1, 'MARIA', 'APAZA SALAS', 5, 4, 120, 'NO', '2015-06-17 17:51:23'),
(3, 2, 5, 19, 1, 'PEDRO', 'ARESTEGUI CALLOHUANCA', 4, 6, 200, 'NO', '2015-06-17 17:54:32'),
(4, 2, 5, 19, 1, 'CESAR', 'APAZA COPA', 4, 6, 200, 'NO', '2015-06-17 17:55:15');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `personas`
--

CREATE TABLE IF NOT EXISTS `personas` (
  `pers_id` int(11) NOT NULL AUTO_INCREMENT,
  `pers_dni` varchar(20) NOT NULL,
  `pers_nombres` varchar(100) NOT NULL,
  `pers_apellidos` varchar(45) NOT NULL,
  PRIMARY KEY (`pers_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `personas`
--

INSERT INTO `personas` (`pers_id`, `pers_dni`, `pers_nombres`, `pers_apellidos`) VALUES
(1, 'x', 'x', 'x');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `procedencias`
--

CREATE TABLE IF NOT EXISTS `procedencias` (
  `proc_id` int(11) NOT NULL AUTO_INCREMENT,
  `proc_even_id` int(11) NOT NULL DEFAULT '0',
  `proc_nombre` varchar(50) NOT NULL,
  PRIMARY KEY (`proc_id`),
  KEY `fk_proedencia_evento1` (`proc_even_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

--
-- Volcado de datos para la tabla `procedencias`
--

INSERT INTO `procedencias` (`proc_id`, `proc_even_id`, `proc_nombre`) VALUES
(1, 1, 'OTRO'),
(2, 1, 'UANCV'),
(3, 1, 'UNAP'),
(4, 1, 'SAN CARLOS'),
(5, 2, 'UANCV PUNO'),
(6, 2, 'UNA PUNO');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tipos`
--

CREATE TABLE IF NOT EXISTS `tipos` (
  `tipo_id` int(11) NOT NULL AUTO_INCREMENT,
  `tipo_even_id` int(11) NOT NULL,
  `tipo_nombre` varchar(50) NOT NULL,
  `tipo_monto` double NOT NULL,
  `tipo_del` date NOT NULL,
  `tipo_al` date NOT NULL,
  PRIMARY KEY (`tipo_id`),
  KEY `fk_tipo_evento1_idx` (`tipo_even_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Volcado de datos para la tabla `tipos`
--

INSERT INTO `tipos` (`tipo_id`, `tipo_even_id`, `tipo_nombre`, `tipo_monto`, `tipo_del`, `tipo_al`) VALUES
(1, 1, 'ESTUDIANTE', 15, '2015-06-01', '2015-06-30'),
(2, 1, 'PROFESIONAL', 30, '0000-00-00', '0000-00-00'),
(4, 2, 'PLENO', 150, '2015-06-17', '2015-06-30'),
(5, 2, 'PLENO', 200, '2015-07-01', '2015-07-31'),
(6, 2, 'PUBLICO', 250, '2015-06-17', '2015-06-30'),
(7, 2, 'PUBLICO', 300, '2015-07-01', '2015-07-31'),
(8, 2, 'ESTUDIANTE', 100, '2015-06-17', '2015-06-30'),
(9, 2, 'ESTUDIANTE', 120, '2015-07-01', '2015-07-31');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE IF NOT EXISTS `usuarios` (
  `usua_id` int(11) NOT NULL AUTO_INCREMENT,
  `usua_even_id` int(11) NOT NULL,
  `usua_datos` varchar(100) NOT NULL,
  `usua_user` varchar(45) NOT NULL,
  `usua_pass` varchar(45) NOT NULL,
  `usua_estado` enum('ACTIVO','INACTIVO') NOT NULL,
  `usua_tipo` enum('INSCRIPTOR','ADMINISTRADOR') NOT NULL,
  PRIMARY KEY (`usua_id`),
  KEY `fk_usuarios_evento1_idx` (`usua_even_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=21 ;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`usua_id`, `usua_even_id`, `usua_datos`, `usua_user`, `usua_pass`, `usua_estado`, `usua_tipo`) VALUES
(1, 1, 'CESAR APAZA COPA', 'cesar', 'cesar', 'ACTIVO', 'ADMINISTRADOR'),
(2, 1, 'USUARIO 1', 'user1', 'user1', 'ACTIVO', 'INSCRIPTOR'),
(7, 2, 'JOSE migue', 'jose1', 'jose', 'ACTIVO', 'INSCRIPTOR'),
(8, 2, 'JOSE migueQQQQ', 'jose', 'jose123', 'ACTIVO', 'INSCRIPTOR'),
(19, 2, 'JULIO ORTEGA', 'admin1', 'admin1', 'ACTIVO', 'ADMINISTRADOR'),
(20, 3, 'jlkjlk', 'admin3', 'admin3', 'ACTIVO', 'ADMINISTRADOR');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `condiciones`
--
ALTER TABLE `condiciones`
  ADD CONSTRAINT `fk_condicion_evento1` FOREIGN KEY (`cond_even_id`) REFERENCES `eventos` (`even_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `inscritos1`
--
ALTER TABLE `inscritos1`
  ADD CONSTRAINT `fk_inscritos1_condicion1` FOREIGN KEY (`insc_cond_id`) REFERENCES `condiciones` (`cond_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos1_evento1` FOREIGN KEY (`insc_even_id`) REFERENCES `eventos` (`even_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos1_personas` FOREIGN KEY (`insc_pers_id`) REFERENCES `personas` (`pers_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos1_procedencia` FOREIGN KEY (`insc_proc_id`) REFERENCES `procedencias` (`proc_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos1_tipo1` FOREIGN KEY (`insc_tipo_id`) REFERENCES `tipos` (`tipo_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos1_usuario1` FOREIGN KEY (`insc_usua_id`) REFERENCES `usuarios` (`usua_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `inscritos2`
--
ALTER TABLE `inscritos2`
  ADD CONSTRAINT `fk_inscritos2_condicion1` FOREIGN KEY (`insc_cond_id`) REFERENCES `condiciones` (`cond_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos2_evento1` FOREIGN KEY (`insc_even_id`) REFERENCES `eventos` (`even_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos2_personas` FOREIGN KEY (`insc_pers_id`) REFERENCES `personas` (`pers_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos2_procedencia` FOREIGN KEY (`insc_proc_id`) REFERENCES `procedencias` (`proc_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos2_tipo1` FOREIGN KEY (`insc_tipo_id`) REFERENCES `tipos` (`tipo_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_inscritos2_usuario1` FOREIGN KEY (`insc_usua_id`) REFERENCES `usuarios` (`usua_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `procedencias`
--
ALTER TABLE `procedencias`
  ADD CONSTRAINT `fk_proedencia_evento1` FOREIGN KEY (`proc_even_id`) REFERENCES `eventos` (`even_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `tipos`
--
ALTER TABLE `tipos`
  ADD CONSTRAINT `fk_tipo_evento1` FOREIGN KEY (`tipo_even_id`) REFERENCES `eventos` (`even_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Filtros para la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD CONSTRAINT `fk_usuarios_evento1` FOREIGN KEY (`usua_even_id`) REFERENCES `eventos` (`even_id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
